##
##  perl-ssl.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_net_ssleay        1.23
%define       V_crypt_ssleay      0.51
%define       V_io_socket_ssl     0.901

#   package information
Name:         perl-ssl
Summary:      Perl Modules for use with SSL
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Language
License:      GPL/Artistic
Version:      20030614
Release:      20030614

#   list of sources
Source0:      http://www.cpan.org/modules/by-module/Net/Net_SSLeay.pm-%{V_net_ssleay}.tar.gz
Source1:      http://www.cpan.org/modules/by-module/Crypt/Crypt-SSLeay-%{V_crypt_ssleay}.tar.gz
Source2:      http://www.cpan.org/modules/by-module/IO/IO-Socket-SSL-%{V_io_socket_ssl}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20021230, perl, perl-openpkg, openssl
PreReq:       OpenPKG, openpkg >= 20021230, perl, perl-openpkg, openssl
AutoReq:      no
AutoReqProv:  no

%description
    Various Perl modules for use with SSL/TLS (OpenSSL):
    - Net::SSLeay (%{V_net_ssleay})
    - Crypt::SSLeay (%{V_crypt_ssleay})
    - IO::Socket::SSL (%{V_io_socket_ssl})

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1
    %setup2 -q -T -D -a 2

%build

%install
    #   perform common prolog operations
    %{l_prefix}/bin/perl-openpkg prolog

    #   special module preparations
    ( cd Crypt-SSLeay-%{V_crypt_ssleay}
      %{l_shtool} subst \
          -e 's;^\(my @POSSIBLE_SSL_DIRS = qw(\)[^)]*\().*\)$;\1%{l_prefix}\2;' \
          Makefile.PL )

    #   build and install individual modules
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE0} %{l_prefix}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE1} %{l_prefix}
    %{l_prefix}/bin/perl-openpkg install -d %{SOURCE2}

    #   perform common epilog operations
    %{l_prefix}/bin/perl-openpkg epilog

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

